<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array();
use Serializable;




interface AiRequestInterface extends Serializable
{
    
    
    
    
    
    
    public function isStreaming() : bool;
    
    
    
    
    
    
    public function getModelName() : string;
    
    
    
    
    
    
    public function serialize() : array;
}